Unit D2Running;
{-------------------------------------------------}
{                                                 }
{ This unit was generated on 12/08/97 15.42.59 by }
{    the RTE Software Component Generator.        }
{                                                 }
{                                                 }
{ This code was written by : Aristide Torrelli    }
{                                                 }
{ This code is copyright 1997 by                  }
{       Aristide Torrelli                         }
{                                                 }
{-------------------------------------------------}

{--------------------------------------------------------}
{                                                        }
{ TD2Running is a component that allows a developer      }
{ to know whether his/her program is run inside the      }
{ Delphi IDE. You can check if DelphiIsRunning in order  }
{ to, for example, display a nag screen or whatever.     }
{                                                        }
{--------------------------------------------------------}

interface

uses
  windows, sysutils, classes, dsgnintf;

type
  TD2Running = class(TComponent)
  private
    { Private Declarations }
  protected
    { Protected Declarations }
  public
    { Public Declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    function DelphiIsRunning: boolean;
  published
  end;

procedure Register;

implementation

{--------------------------------------}
{ TD2Running.Create                    }
{--------------------------------------}
constructor TD2Running.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

{--------------------------------------}
{ TD2Running.Destroy                   }
{--------------------------------------}
destructor TD2Running.Destroy;
begin
  inherited Destroy;
end;

{--------------------------------------}
{ TD2Running.DelphiIsRunning           }
{--------------------------------------}
function TD2Running.DelphiIsRunning: boolean;
var H1, H2, H3, H4 :HWND;
const A1 : array[0..12] of char = 'TApplication'#0;
      A2 : array[0..15] of char = 'TAlignPalette'#0;
      A3 : array[0..18] of char = 'TPropertyInspector'#0;
      A4 : array[0..11] of char = 'TAppBuilder'#0;
      T1 : array[0..10] of char = 'Delphi 2.0'#0;
begin
     H1:=FindWindow(A1, T1);
     H2:=FindWindow(A2, nil);
     H3:=FindWindow(A3, nil);
     H4:=FindWindow(A4, nil);
     Result:=(H1<>0) and (H2<>0) and (H3<>0) and (H4<>0);
end;


{--------------------------------------}
{ Register                             }
{--------------------------------------}
procedure Register;
begin
  RegisterComponents('Freeware', [TD2Running]);
end;

end.
